{"openapi":"3.0.4","info":{"title":"List the versions of a Scenario","description":"List the AsAt versions of a single Scenario definition, newest first: one entry per change,\r\nwith the version number, the AsAt datetime it was written, and the user that wrote it.\r\n            \r\nScenarios are perpetual (AsAt-only), so a version's AsAt datetime identifies it completely:\r\npass it as the asAt on GetScenario to view that version, or as the scenario reference's\r\nasAt on a valuation to price under it.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/scenarios/{scope}/{code}/versions":{"get":{"tags":["Scenarios"],"summary":"List the versions of a Scenario","description":"List the AsAt versions of a single Scenario definition, newest first: one entry per change,\r\nwith the version number, the AsAt datetime it was written, and the user that wrote it.\r\n            \r\nScenarios are perpetual (AsAt-only), so a version's AsAt datetime identifies it completely:\r\npass it as the asAt on GetScenario to view that version, or as the scenario reference's\r\nasAt on a valuation to price under it.","operationId":"ListScenarioVersions","parameters":[{"name":"scope","in":"path","description":"The scope of the Scenario to list versions for.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Scenario to list versions for.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime to cap the version history at. Defaults to all versions up to now.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"limit","in":"query","description":"Maximum number of results to return. Defaults to 100.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"page","in":"query","description":"Pagination token from a previous result to fetch the next page.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}}],"responses":{"200":{"description":"The versions of the scenario, newest first","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfVersion"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfVersion"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfVersion"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}